> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all sales-tax payment checks

> Returns a list of sales-tax payment checks. Use the `cursor` parameter to paginate through the results.



## OpenAPI

````yaml GET /quickbooks-desktop/sales-tax-payment-checks
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/sales-tax-payment-checks:
    get:
      summary: List all sales-tax payment checks
      description: >-
        Returns a list of sales-tax payment checks. Use the `cursor` parameter
        to paginate through the results.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
          description: The ID of the End-User to receive this request.
        - in: query
          name: ids
          schema:
            description: >-
              Filter for specific sales-tax payment checks by their
              QuickBooks-assigned unique identifier(s).


              **IMPORTANT**: If you include this parameter, QuickBooks will
              ignore all other query parameters for this request.


              **NOTE**: If any of the values you specify in this parameter are
              not found, the request will return an error.
            example:
              - 123ABC-1234567890
            type: array
            items:
              type: string
          description: >-
            Filter for specific sales-tax payment checks by their
            QuickBooks-assigned unique identifier(s).


            **IMPORTANT**: If you include this parameter, QuickBooks will ignore
            all other query parameters for this request.


            **NOTE**: If any of the values you specify in this parameter are not
            found, the request will return an error.
        - in: query
          name: refNumbers
          schema:
            description: >-
              Filter for specific sales-tax payment checks by their
              ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not
              required to be unique and can be arbitrarily changed by the
              QuickBooks user.


              **IMPORTANT**: If you include this parameter, QuickBooks will
              ignore all other query parameters for this request.


              **NOTE**: If any of the values you specify in this parameter are
              not found, the request will return an error.
            example:
              - SALES-TAX PAYMENT CHECK-1234
            type: array
            items:
              type: string
          description: >-
            Filter for specific sales-tax payment checks by their ref-number(s),
            case-sensitive. In QuickBooks, ref-numbers are not required to be
            unique and can be arbitrarily changed by the QuickBooks user.


            **IMPORTANT**: If you include this parameter, QuickBooks will ignore
            all other query parameters for this request.


            **NOTE**: If any of the values you specify in this parameter are not
            found, the request will return an error.
        - in: query
          name: limit
          schema:
            default: 150
            description: >-
              The maximum number of objects to return. Accepts values ranging
              from 1 to 150, defaults to 150. When used with cursor-based
              pagination, this parameter controls how many results are returned
              per page. To paginate through results, combine this with the
              `cursor` parameter. Each response will include a `nextCursor`
              value that can be passed to subsequent requests to retrieve the
              next page of results.
            example: 150
            type: integer
            minimum: 1
            maximum: 150
          description: >-
            The maximum number of objects to return. Accepts values ranging from
            1 to 150, defaults to 150. When used with cursor-based pagination,
            this parameter controls how many results are returned per page. To
            paginate through results, combine this with the `cursor` parameter.
            Each response will include a `nextCursor` value that can be passed
            to subsequent requests to retrieve the next page of results.
        - in: query
          name: cursor
          schema:
            description: >-
              The pagination token to fetch the next set of results when
              paginating with the `limit` parameter. Do not include this
              parameter on the first call. Use the `nextCursor` value returned
              in the previous response to request subsequent results.
            example: 12345678-abcd-abcd-example-1234567890ab
            type: string
          description: >-
            The pagination token to fetch the next set of results when
            paginating with the `limit` parameter. Do not include this parameter
            on the first call. Use the `nextCursor` value returned in the
            previous response to request subsequent results.
        - in: query
          name: updatedAfter
          schema:
            description: >-
              Filter for sales-tax payment checks updated on or after this
              date/time. Accepts the following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **start of the specified day** in the local timezone
              of the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T00:00:00`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-01-01T12:34:56.000Z'
            type: string
          description: >-
            Filter for sales-tax payment checks updated on or after this
            date/time. Accepts the following ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **start of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T00:00:00`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
        - in: query
          name: updatedBefore
          schema:
            description: >-
              Filter for sales-tax payment checks updated on or before this
              date/time. Accepts the following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **end of the specified day** in the local timezone of
              the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T23:59:59`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-02-01T12:34:56.000Z'
            type: string
          description: >-
            Filter for sales-tax payment checks updated on or before this
            date/time. Accepts the following ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **end of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T23:59:59`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
        - in: query
          name: transactionDateFrom
          schema:
            description: >-
              Filter for sales-tax payment checks whose `date` field is on or
              after this date, in ISO 8601 format (YYYY-MM-DD).


              **NOTE:** QuickBooks Desktop interprets this date as the **start
              of the specified day** in the local timezone of the end-user's
              computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).
            example: '2025-01-01'
            type: string
            format: date
          description: >-
            Filter for sales-tax payment checks whose `date` field is on or
            after this date, in ISO 8601 format (YYYY-MM-DD).


            **NOTE:** QuickBooks Desktop interprets this date as the **start of
            the specified day** in the local timezone of the end-user's computer
            (e.g., `2025-01-01` → `2025-01-01T00:00:00`).
        - in: query
          name: transactionDateTo
          schema:
            description: >-
              Filter for sales-tax payment checks whose `date` field is on or
              before this date, in ISO 8601 format (YYYY-MM-DD).


              **NOTE:** QuickBooks Desktop interprets this date as the **end of
              the specified day** in the local timezone of the end-user's
              computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).
            example: '2025-02-01'
            type: string
            format: date
          description: >-
            Filter for sales-tax payment checks whose `date` field is on or
            before this date, in ISO 8601 format (YYYY-MM-DD).


            **NOTE:** QuickBooks Desktop interprets this date as the **end of
            the specified day** in the local timezone of the end-user's computer
            (e.g., `2025-01-01` → `2025-01-01T23:59:59`).
        - in: query
          name: vendorIds
          schema:
            description: >-
              Filter for sales-tax payment checks paid to these vendors. These
              are the sales-tax agencies, represented as QuickBooks vendors,
              paid by these checks.
            example:
              - 80000001-1234567890
            type: array
            items:
              type: string
          description: >-
            Filter for sales-tax payment checks paid to these vendors. These are
            the sales-tax agencies, represented as QuickBooks vendors, paid by
            these checks.
        - in: query
          name: accountIds
          schema:
            description: >-
              Filter for sales-tax payment checks associated with these
              accounts.
            example:
              - 80000001-1234567890
            type: array
            items:
              type: string
          description: Filter for sales-tax payment checks associated with these accounts.
        - in: query
          name: itemIds
          schema:
            description: Filter for sales-tax payment checks containing these items.
            example:
              - 80000001-1234567890
            type: array
            items:
              type: string
          description: Filter for sales-tax payment checks containing these items.
        - in: query
          name: refNumberContains
          schema:
            description: >-
              Filter for sales-tax payment checks whose `refNumber` contains
              this substring.


              **NOTE**: If you use this parameter, you cannot also use
              `refNumberStartsWith` or `refNumberEndsWith`.
            example: TAXPMT-1234
            type: string
          description: >-
            Filter for sales-tax payment checks whose `refNumber` contains this
            substring.


            **NOTE**: If you use this parameter, you cannot also use
            `refNumberStartsWith` or `refNumberEndsWith`.
        - in: query
          name: refNumberStartsWith
          schema:
            description: >-
              Filter for sales-tax payment checks whose `refNumber` starts with
              this substring.


              **NOTE**: If you use this parameter, you cannot also use
              `refNumberContains` or `refNumberEndsWith`.
            example: TAXPMT
            type: string
          description: >-
            Filter for sales-tax payment checks whose `refNumber` starts with
            this substring.


            **NOTE**: If you use this parameter, you cannot also use
            `refNumberContains` or `refNumberEndsWith`.
        - in: query
          name: refNumberEndsWith
          schema:
            description: >-
              Filter for sales-tax payment checks whose `refNumber` ends with
              this substring.


              **NOTE**: If you use this parameter, you cannot also use
              `refNumberContains` or `refNumberStartsWith`.
            example: '1234'
            type: string
          description: >-
            Filter for sales-tax payment checks whose `refNumber` ends with this
            substring.


            **NOTE**: If you use this parameter, you cannot also use
            `refNumberContains` or `refNumberStartsWith`.
        - in: query
          name: refNumberFrom
          schema:
            description: >-
              Filter for sales-tax payment checks whose `refNumber` is greater
              than or equal to this value. If omitted, the range will begin with
              the first number of the list. Uses a numerical comparison for
              values that contain only digits; otherwise, uses a lexicographical
              comparison.
            example: TAXPMT-0001
            type: string
          description: >-
            Filter for sales-tax payment checks whose `refNumber` is greater
            than or equal to this value. If omitted, the range will begin with
            the first number of the list. Uses a numerical comparison for values
            that contain only digits; otherwise, uses a lexicographical
            comparison.
        - in: query
          name: refNumberTo
          schema:
            description: >-
              Filter for sales-tax payment checks whose `refNumber` is less than
              or equal to this value. If omitted, the range will end with the
              last number of the list. Uses a numerical comparison for values
              that contain only digits; otherwise, uses a lexicographical
              comparison.
            example: TAXPMT-9999
            type: string
          description: >-
            Filter for sales-tax payment checks whose `refNumber` is less than
            or equal to this value. If omitted, the range will end with the last
            number of the list. Uses a numerical comparison for values that
            contain only digits; otherwise, uses a lexicographical comparison.
        - in: query
          name: includeLineItems
          schema:
            description: Whether to include line items in the response. Defaults to `true`.
            example: true
            type: boolean
            default: true
          description: Whether to include line items in the response. Defaults to `true`.
      responses:
        '200':
          description: Returns a list of sales-tax payment checks.
          headers:
            Conductor-Request-Id:
              required: true
              description: The unique identifier for this API request.
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    description: The type of object. This value is always `"list"`.
                    example: list
                    type: string
                    const: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/sales-tax-payment-checks
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_sales_tax_payment_check'
                    description: The array of sales-tax payment checks.
                  nextCursor:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: >-
                      The `nextCursor` is a pagination token returned in the
                      response when you use the `limit` parameter in your
                      request. To retrieve subsequent pages of results, include
                      this token as the value of the `cursor` request parameter
                      in your following API calls.


                      **NOTE**: The `nextCursor` value remains constant
                      throughout the pagination process for a specific list
                      instance; continue to use the same `nextCursor` token in
                      each request to fetch additional pages.
                    example: 12345678-abcd-abcd-example-1234567890ab
                  remainingCount:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: The number of objects remaining to be fetched.
                    example: 10
                  hasMore:
                    type: boolean
                    description: Indicates whether there are more objects to be fetched.
                required:
                  - objectType
                  - url
                  - data
                  - nextCursor
                  - remainingCount
                  - hasMore
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const salesTaxPaymentCheck of
            conductor.qbd.salesTaxPaymentChecks.list({
              conductorEndUserId: 'end_usr_1234567abcdefg',
            })) {
              console.log(salesTaxPaymentCheck.id);
            }
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            page = conductor.qbd.sales_tax_payment_checks.list(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            page = page.data[0]
            print(page.id)
components:
  schemas:
    qbd_sales_tax_payment_check:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this sales-tax
            payment check. This ID is unique across all transaction types.
          example: 123ABC-1234567890
        objectType:
          description: >-
            The type of object. This value is always
            `"qbd_sales_tax_payment_check"`.
          example: qbd_sales_tax_payment_check
          type: string
          const: qbd_sales_tax_payment_check
        createdAt:
          type: string
          description: >-
            The date and time when this sales-tax payment check was created, in
            ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks
            Desktop interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        updatedAt:
          type: string
          description: >-
            The date and time when this sales-tax payment check was last
            updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which
            QuickBooks Desktop interprets in the local timezone of the
            end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        revisionNumber:
          type: string
          description: >-
            The current QuickBooks-assigned revision number of this sales-tax
            payment check object, which changes each time the object is
            modified. When updating this object, you must provide the most
            recent `revisionNumber` to ensure you're working with the latest
            data; otherwise, the update will return an error.
          example: '1721172183'
        vendor:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The sales-tax agency, represented as a QuickBooks vendor, receiving
            this sales-tax payment check. This must match the tax vendor
            associated with the sales-tax items in the payment lines.
          example:
            id: 80000001-1234567890
            fullName: State Tax Agency
        transactionDate:
          type: string
          format: date
          description: >-
            The date of this sales-tax payment check, in ISO 8601 format
            (YYYY-MM-DD).
          example: '2024-10-01'
        bankAccount:
          type: object
          properties:
            id:
              anyOf:
                - type: string
                - type: 'null'
              description: >-
                The unique identifier assigned by QuickBooks to this object.
                This ID is unique across all objects of the same type, but not
                across different QuickBooks object types.
              example: 80000001-1234567890
            fullName:
              anyOf:
                - type: string
                - type: 'null'
              description: >-
                The fully-qualified unique name for this object, formed by
                combining the names of its parent objects with its own `name`,
                separated by colons. Not case-sensitive.
              example: Parent:Child:Grandchild
          required:
            - id
            - fullName
          additionalProperties: false
          description: >-
            The bank account from which the funds are being drawn for this
            sales-tax payment check; e.g., Checking or Savings. This sales-tax
            payment check will decrease the balance of this account.
          example:
            id: 80000001-1234567890
            fullName: Checking
        amount:
          type: string
          description: >-
            The total monetary amount of this sales-tax payment check,
            represented as a decimal string. This equals the sum of the amounts
            in the sales-tax payment check lines.
          example: '1000.00'
        refNumber:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The case-sensitive user-defined reference number for this sales-tax
            payment check, which can be used to identify the transaction in
            QuickBooks. This value is not required to be unique and can be
            arbitrarily changed by the QuickBooks user.


            **IMPORTANT**: For checks, this field is the check number.
          example: TAXPMT-1234
        memo:
          anyOf:
            - type: string
            - type: 'null'
          description: A memo or note for this sales-tax payment check.
          example: Sales tax payment for Q3 2024
        address:
          anyOf:
            - $ref: '#/components/schemas/qbd_address'
            - type: 'null'
          description: The address that is printed on the sales-tax payment check.
        isQueuedForPrint:
          anyOf:
            - type: boolean
              description: >-
                Indicates whether this sales-tax payment check is included in
                the queue of documents for QuickBooks to print.
              example: true
            - type: 'null'
        externalId:
          anyOf:
            - type: string
              description: >-
                A globally unique identifier (GUID) you, the developer, can
                provide for tracking this object in your external system. This
                field is immutable and can only be set during object creation.
              example: 12345678-abcd-1234-abcd-1234567890ab
            - type: 'null'
        lines:
          type: array
          items:
            $ref: '#/components/schemas/qbd_sales_tax_payment_check_line'
          description: >-
            The payment lines in this sales-tax payment check, each recording an
            amount paid toward a sales-tax item.
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/qbd_custom_field'
          description: >-
            The custom fields for the sales-tax payment check object, added as
            user-defined data extensions, not included in the standard
            QuickBooks object.
      required:
        - id
        - objectType
        - createdAt
        - updatedAt
        - revisionNumber
        - vendor
        - transactionDate
        - bankAccount
        - amount
        - refNumber
        - memo
        - address
        - isQueuedForPrint
        - externalId
        - lines
        - customFields
      additionalProperties: false
      title: The Sales-Tax Payment Check object
      x-conductor-object-type: transaction
      summary: >-
        A sales-tax payment check records a check written from a bank account to
        pay collected sales taxes to a tax agency. It allocates the payment
        across one or more sales-tax items so QuickBooks Desktop can reduce the
        sales-tax payable amounts for those items.
    qbd_address:
      type: object
      properties:
        line1:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The first line of the address (e.g., street, PO Box, or company
            name).
          example: Conductor Labs Inc.
        line2:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The second line of the address, if needed (e.g., apartment, suite,
            unit, or building).
          example: 540 Market St.
        line3:
          anyOf:
            - type: string
            - type: 'null'
          description: The third line of the address, if needed.
          example: Suite 100
        line4:
          anyOf:
            - type: string
            - type: 'null'
          description: The fourth line of the address, if needed.
          example: ''
        line5:
          anyOf:
            - type: string
            - type: 'null'
          description: The fifth line of the address, if needed.
          example: ''
        city:
          anyOf:
            - type: string
            - type: 'null'
          description: The city, district, suburb, town, or village name of the address.
          example: San Francisco
        state:
          anyOf:
            - type: string
            - type: 'null'
          description: The state, county, province, or region name of the address.
          example: CA
        postalCode:
          anyOf:
            - type: string
            - type: 'null'
          description: The postal code or ZIP code of the address.
          example: '94110'
        country:
          anyOf:
            - type: string
            - type: 'null'
          description: The country name of the address.
          example: United States
        note:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A note written at the bottom of the address in the form in which it
            appears, such as the invoice form.
          example: Conductor HQ
      required:
        - line1
        - line2
        - line3
        - line4
        - line5
        - city
        - state
        - postalCode
        - country
        - note
      additionalProperties: false
      title: The Address object
      x-conductor-object-type: nested
    qbd_sales_tax_payment_check_line:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this sales-tax
            payment check line. This ID is unique across all transaction line
            types.
          example: 456DEF-1234567890
        objectType:
          description: >-
            The type of object. This value is always
            `"qbd_sales_tax_payment_check_line"`.
          example: qbd_sales_tax_payment_check_line
          type: string
          const: qbd_sales_tax_payment_check_line
        salesTaxItem:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The sales-tax item whose payable balance this sales-tax payment
            check line is paying.
          example:
            id: 80000001-1234567890
            fullName: State Sales Tax
        amount:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The sales-tax payment amount paid toward this line's sales-tax item,
            represented as a decimal string.
          example: '1000.00'
        taxAmount:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The sales-tax amount due on this sales-tax payment check line,
            represented as a decimal string. QuickBooks Desktop returns this
            field only for Australian company files.
          example: '10.00'
      required:
        - id
        - objectType
        - salesTaxItem
        - amount
        - taxAmount
      additionalProperties: false
      title: The Sales-Tax Payment Check Line object
      x-conductor-object-type: nested
    qbd_custom_field:
      type: object
      properties:
        ownerId:
          type: string
          description: >-
            The identifier of the owner of the custom field, which QuickBooks
            internally calls a "data extension". For public custom fields
            visible in the UI, such as those added by the QuickBooks user, this
            is always "0". For private custom fields that are only visible to
            the application that created them, this is a valid GUID identifying
            the owning application. Internally, Conductor always fetches all
            public custom fields (those with an `ownerId` of "0") for all
            objects.
          example: '0'
        name:
          type: string
          description: >-
            The name of the custom field, unique for the specified `ownerId`.
            For public custom fields, this name is visible as a label in the
            QuickBooks UI.
          example: Customer Rating
        type:
          type: string
          enum:
            - amount_type
            - date_time_type
            - integer_type
            - percent_type
            - price_type
            - quantity_type
            - string_1024_type
            - string_255_type
          description: The data type of this custom field.
          example: string_1024_type
        value:
          type: string
          description: >-
            The value of this custom field. The maximum length depends on the
            field's data type.
          example: Premium
      required:
        - ownerId
        - name
        - type
        - value
      additionalProperties: false
      title: The Custom Field object
      x-conductor-object-type: nested
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````